List voice calls (cursor-paginated, newest first)
curl --request GET \
--url https://api.payable.run/api/v1/voice-calls \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.payable.run/api/v1/voice-calls"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.payable.run/api/v1/voice-calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.payable.run/api/v1/voice-calls",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.payable.run/api/v1/voice-calls"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.payable.run/api/v1/voice-calls")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.payable.run/api/v1/voice-calls")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "retell",
"medium": "pstn",
"direction": "outbound",
"toNumber": "+5511999990000",
"status": "queued",
"trigger": "manual",
"attemptNumber": 123,
"hasRecording": true,
"createdAt": "<string>",
"updatedAt": "<string>",
"debtId": {},
"enrollmentId": {},
"stepExecutionId": {},
"conversationId": {},
"providerCallId": {},
"fromNumber": {},
"outcome": "negotiated",
"requestedByUserId": {},
"scheduledFor": {},
"startedAt": {},
"answeredAt": {},
"endedAt": {},
"durationSeconds": {},
"transcript": [
{
"role": "agent",
"content": "<string>",
"startSeconds": {}
}
],
"summary": {},
"analysis": {
"outcome": "negotiated",
"summary": "<string>",
"confidence": 50,
"source": "deterministic",
"promiseToPayDate": {},
"promiseToPayAmount": {}
},
"promiseToPayAmount": {},
"promiseToPayDate": "2026-06-15",
"callbackRequestedAt": {},
"transferredTo": {},
"transferredAt": {},
"disconnectionReason": {},
"billedAmountCents": {},
"billedMinutes": {},
"errorMessage": {},
"warnings": [
"<string>"
],
"client": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "<string>",
"lastName": "<string>",
"phone": "<string>"
},
"debt": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productName": "<string>",
"amount": "230.00",
"dueDate": "2026-06-10"
}
}
],
"pagination": {
"nextCursor": null
}
}{
"type": "https://docs.payable.run/errors/validation_error",
"title": "Bad Request",
"status": 400,
"detail": "One or more request fields are invalid.",
"instance": "/api/v1/clients",
"code": "VALIDATION_ERROR",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errors": [
{
"message": "<string>",
"field": "<string>"
}
]
}Voice calls
List voice calls (cursor-paginated, newest first)
GET
/
api
/
v1
/
voice-calls
List voice calls (cursor-paginated, newest first)
curl --request GET \
--url https://api.payable.run/api/v1/voice-calls \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.payable.run/api/v1/voice-calls"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.payable.run/api/v1/voice-calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.payable.run/api/v1/voice-calls",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.payable.run/api/v1/voice-calls"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.payable.run/api/v1/voice-calls")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.payable.run/api/v1/voice-calls")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "retell",
"medium": "pstn",
"direction": "outbound",
"toNumber": "+5511999990000",
"status": "queued",
"trigger": "manual",
"attemptNumber": 123,
"hasRecording": true,
"createdAt": "<string>",
"updatedAt": "<string>",
"debtId": {},
"enrollmentId": {},
"stepExecutionId": {},
"conversationId": {},
"providerCallId": {},
"fromNumber": {},
"outcome": "negotiated",
"requestedByUserId": {},
"scheduledFor": {},
"startedAt": {},
"answeredAt": {},
"endedAt": {},
"durationSeconds": {},
"transcript": [
{
"role": "agent",
"content": "<string>",
"startSeconds": {}
}
],
"summary": {},
"analysis": {
"outcome": "negotiated",
"summary": "<string>",
"confidence": 50,
"source": "deterministic",
"promiseToPayDate": {},
"promiseToPayAmount": {}
},
"promiseToPayAmount": {},
"promiseToPayDate": "2026-06-15",
"callbackRequestedAt": {},
"transferredTo": {},
"transferredAt": {},
"disconnectionReason": {},
"billedAmountCents": {},
"billedMinutes": {},
"errorMessage": {},
"warnings": [
"<string>"
],
"client": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "<string>",
"lastName": "<string>",
"phone": "<string>"
},
"debt": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productName": "<string>",
"amount": "230.00",
"dueDate": "2026-06-10"
}
}
],
"pagination": {
"nextCursor": null
}
}{
"type": "https://docs.payable.run/errors/validation_error",
"title": "Bad Request",
"status": 400,
"detail": "One or more request fields are invalid.",
"instance": "/api/v1/clients",
"code": "VALIDATION_ERROR",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errors": [
{
"message": "<string>",
"field": "<string>"
}
]
}Authorizations
Use Authorization: Bearer esk_live_... or esk_test_... for API access
Query Parameters
Available options:
queued, awaiting_permission, dialing, in_progress, completed, failed, cancelled Available options:
negotiated, promise_to_pay, paid_during_call, callback_requested, refused, no_answer, busy, voicemail, wrong_number, transferred_to_human, permission_denied, failed Available options:
pstn, whatsapp ISO 8601 — calls created at or after
ISO 8601 — calls created at or before
Opaque cursor from the previous page
Required range:
1 <= x <= 200